QuattroGraphInternal::Graph Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
QuattroGraphInternal::Graph Struct Reference

Internal: a graph of a QuattroGraph. More...

## Public Types
enum | Type { Button, Chart, Frame, OLE, Image, Shape, Textbox, Unknown }
| the posible type More...

## Public Member Functions
| Graph (std::shared_ptr< WPSStream > const &stream, Type type=Unknown)
| constructor More...

## Public Attributes
Type | m_type
| the type More...
Vec2f | m_size
| the size More...
WPSBox2i | m_cellBox
| the cell's position More...
WPSBox2f | m_cellBoxDecal
| the decal position(LT, RB) More...
int | m_flags1 [4]
| some flags More...
int | m_flags2 [7]
| final flag More...
int | m_values [5]
| some values More...
librevenge::RVNGString | m_label
| the label(button) More...
WPSEmbeddedObject | m_ole
| the OLE's data More...
librevenge::RVNGString | m_linkName
| the OLE's link name More...
std::shared_ptr< QuattroGraphInternal::Shape > | m_shape
| the graphic shape More...
std::shared_ptr< QuattroGraphInternal::Textbox > | m_textbox
| the textbox More...
std::shared_ptr< WPSStream > | m_stream
| the main stream More...

## Friends
std::ostream & | operator<< (std::ostream &o, Graph const &gr)
| operator<< More...

## Detailed Description

Internal: a graph of a QuattroGraph.

## Member Enumeration Documentation

## ◆ Type

enum QuattroGraphInternal::Graph::Type

the posible type

Enumerator
Button |
Chart |
Frame |
OLE |
Image |
Shape |
Textbox |
Unknown |

## Constructor & Destructor Documentation

## ◆ Graph()

QuattroGraphInternal::Graph::Graph | ( | std::shared_ptr< WPSStream > const & | stream,
|  | Type | type = `Unknown`
| ) |  |
| inlineexplicit

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Graph const & | gr
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_cellBox

WPSBox2i QuattroGraphInternal::Graph::m_cellBox

the cell's position

Referenced by QuattroGraphInternal::operator<<(), QuattroGraph::readHeader(), QuattroGraph::sendGraphic(), QuattroGraph::sendShape(), and QuattroGraph::sendTextbox().

## ◆ m_cellBoxDecal

WPSBox2f QuattroGraphInternal::Graph::m_cellBoxDecal

the decal position(LT, RB)

Referenced by QuattroGraphInternal::operator<<(), QuattroGraph::readHeader(), QuattroGraph::sendGraphic(), QuattroGraph::sendShape(), and QuattroGraph::sendTextbox().

## ◆ m_flags1

int QuattroGraphInternal::Graph::m_flags1[4]

some flags

Referenced by QuattroGraphInternal::operator<<(), and QuattroGraph::readHeader().

## ◆ m_flags2

int QuattroGraphInternal::Graph::m_flags2[7]

final flag

Referenced by QuattroGraphInternal::operator<<(), and QuattroGraph::readHeader().

## ◆ m_label

librevenge::RVNGString QuattroGraphInternal::Graph::m_label

the label(button)

Referenced by QuattroGraph::sendGraphic().

## ◆ m_linkName

librevenge::RVNGString QuattroGraphInternal::Graph::m_linkName

the OLE's link name

Referenced by QuattroGraph::sendGraphic().

## ◆ m_ole

WPSEmbeddedObject QuattroGraphInternal::Graph::m_ole

the OLE's data

Referenced by QuattroGraph::sendGraphic().

## ◆ m_shape

std::shared_ptr<QuattroGraphInternal::Shape> QuattroGraphInternal::Graph::m_shape

the graphic shape

Referenced by QuattroGraph::sendShape().

## ◆ m_size

Vec2f QuattroGraphInternal::Graph::m_size

the size

Referenced by QuattroGraphInternal::operator<<(), QuattroGraph::readHeader(), QuattroGraph::sendGraphic(), QuattroGraph::sendShape(), and QuattroGraph::sendTextbox().

## ◆ m_stream

std::shared_ptr<WPSStream> QuattroGraphInternal::Graph::m_stream

the main stream

Referenced by QuattroGraph::sendTextbox().

## ◆ m_textbox

std::shared_ptr<QuattroGraphInternal::Textbox> QuattroGraphInternal::Graph::m_textbox

the textbox

Referenced by QuattroGraph::sendTextbox().

## ◆ m_type

Type QuattroGraphInternal::Graph::m_type

the type

Referenced by QuattroGraph::sendGraphic(), QuattroGraph::sendShape(), and QuattroGraph::sendTextbox().

## ◆ m_values

int QuattroGraphInternal::Graph::m_values[5]

some values

Referenced by QuattroGraphInternal::operator<<(), and QuattroGraph::readHeader().

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp